# EditCopilotConfigData | windmill-client
Documentation for windmill-client

# Type Alias EditCopilotConfigData

EditCopilotConfigData: {
requestBody: {
code_completion_enabled: boolean;
openai_resource_path?: string;
};
workspace: string;
}

#### Type declaration

- ##### requestBody: {
  code_completion_enabled: boolean;
  openai_resource_path?: string;
  }

  WorkspaceCopilotConfig

  - ##### code_completion_enabled: boolean

  - ##### `Optional` openai_resource_path?: string

- ##### workspace: string

- Defined in src/types.gen.ts:1834